IS YOUR ANDROID DEVICE COMPATIBLE WITH KODI 17.0? HOW TO CHECK

Generating Download Link, Please wait . . .


Generated Downlodable Links


Published: 1 year ago
kODI 17 IS OUT NOW AND NOT COMPATIBLE WITH ANDROID SYSTEMS LOWER THAN 5.0.

this is how to check your version number and see what happens if you try to install v17 onto a device not supported.

we use the ARCstream server to simply add files to android devices and Fire TV's
get more information at our website.
http://ARCstream.net


comment  Comments

There’s nothing more you can do for the 4.4 boxes they don’t support any of the dependencies why the error message comes up, anything below 5.0 or 5.1 won’t work even if you wipe the hard drive & that may be the worst thing as nothing will install after the wipe like the old days it’s really horrible seeing the box behave that way only bbc iPlayer itv player bucky’s movies and show box will install but show box nothing is in the file it’s blank, buckys works as long as you don’t uninstall it, it’s the only channel that actually work on a 4.4 box anything else? Will not work, best thing to do is throw the box away or it will really drive you mad trying to figure out what’s happening & buy a cheap box on Amazon.com or eBay they start around £25 upwards & is the only real & honest answer out there, myself and my partner update most of our friends boxes & see these 4.4 everyday how it frustrates people so we tell them the truth, I’m so glad you posted this video it’s important that people know the truth or they will not understand why their box that worked perfectly before now has actually stopped playing some instances the software stops & all you can see is a pink screen with nothing on the box, I threw my 4.4 boxes away after seeing the changes coming for Kodi how it would affect these older boxes, it’s a real shame for people who can’t afford a new box it’s just the future ahead is changing regarding software & to be able to watch Kodi we need the latest software 5.0 or 5.1 minimum, those with 7.0 & 7.1 have the most current Kodi that will be around for a few years yet, hope you don’t mind me saying what I did I’d rather tell the truth than be silent, I just hope my message has helped even one person today😊have a great evening all👍🏾😻😻😻

5 months ago

Time to get a new Box great Video Stuck at 4.4.2 Cant even Access Google Play Just a Blank White Screen and unsupported Browser message on Google

7 months ago

,

8 months ago

Hey Solomon, I have the mxq box with isengard Kodi. I deleted the Kodi, downloaded new 17.5 and used apk installer. It does not find it in the local drive, yet I can see it in the download file. The teatv and freeflix hq work fine on this box.

11 months ago

Can i update android from 4.2 to 5.0 or latest

1 year ago

anyone have a link to download the 16.1 version please?

1 year ago

itss too difficult to overcome this task

1 year ago

Hey Bud, Thank you so much for the tutorial, I was actually trying to install version 17-kripton and kept giving me an error. I was very confused, but now I know I need version 16.1 as my android version is the same as your video.

1 year ago

i have andorid 6.0.1 and kodi 17.4 doesn't install

1 year ago

Same here .. I tested kodi 17.0; 17.03; 17.6 on Android 6.0.1 - Its not installing

9 months ago

What if you don't have arcstream?? I don't have it and can't find it to add it 😟 Please help can't update my kodi Tried so many times

1 year ago

Hi Naresh, thank you for your help. I have just installed, some links are not working but I will see how I get on before I ask you for any help. There is just one thing, I have noticed that your new video says there is a problem with Kodi 17, is that correct? If so am I safe to use this version on a 4.42 M8S? If not would I be able to install the next upgrade 17.3? Many Thanks JoJo :)

1 year ago

Hi.. please tell me how to install that server?? Please help. Thank you

1 year ago

You are my favorite youtber

1 year ago

Thank you!

1 year ago

Yes it works i have tbe 4.4.2 and i am using kodi 17 kripton

1 year ago

Gilfredo Oquendo how?

1 year ago

Thank you this has explained why I can't download it.. but I deleted my 16.1 how do I get it back? On kodi.tv download?

1 year ago

If you go to kodi.tv they will have older kodi versions. download 16.1 from there and put it back.
thanks

1 year ago

I have 6.0

1 year ago

I wish I had seen your video before today I have been trying to upload 7.3 on my box and having been told to delete my old version of Kodi I've been trying for hours to no avail. Then spent hours trying to get my old version back luckily managed to get it back. Now I'm having trouble getting all my apps back.

1 year ago

Ive uninstalled kodi now i keep getting parsing error whenever im downloading kodi again so i cant even download 16.1

1 year ago

jenell crews How do you install kodi on the TX3 mini

7 months ago

Tom Blackshaw me too...how did you fix this?

1 year ago

how do I get 16.1 again??

1 year ago

I can't get into my settings to do anything can you help me ...

1 year ago

Can you put a build like the beast on a forked version of Kodi 17.1. Having problems 90% of links don't work

1 year ago

I don't even have the 16 update and my kodi isn't working well... what should I do?

1 year ago

wholly i wached enough videos none are like mine, my doesn't say "android version" it just says "version 5.1.1" but I'm guessing that is the android version? wow I think I could relearn dos easier than this box, tried to up date through google play "the easy way" one video said, but google play seems to think Im on my cell phone, and doesnt offer kodi up date, runing a trongle with mxq pro, tried downloading krypton twice but I think they were the wrong versions, does anybody know what im talking about, can any one give me a link to the right video to do it?

1 year ago

when i typed 14 and saved it. it said "Suceed" then when i was gonna save it it said "invalid resource...." help please

1 year ago

Artrome13 ii

9 months ago

Unfortunately I had already uninstalled kodi 16.1 from my device before i realised v17 is not compatible and now When I go to kodi website i find I cant install v16.1. Is there any other way I can reinstall v16.1?

1 year ago

Thanks Dre

1 year ago

go to the kodi download site and bypass the initial download version part for 17 nd there should be a link to the old stable versions

1 year ago

?Why didn't you tell people to use a KODI 17 FORK or SPMC 17 FORK? This is what they were made for.

1 year ago

R Kapazizzle it don’t make any difference I had that other fork and it stops working in the end anyway, getting a new box with at least 5.0 or 5,1 is the way forward, to be honest I skipped all that and bought 7.1 boxes that I know will last a few more years yet and a android tablet that’s 7.1☺️☺️☺️so much peace in my home now as everyone has their own box in their bedrooms they watch Kodi to their hearts content, hope you don’t mind me replying? Have a great evening👍🏾😊

5 months ago

The real question is can you upgrade the firmware to a 5.0 plus?

1 year ago

No, use a kodi 17 fork from hackmykodi it works.

1 year ago

will ES EXPLORER WORK ON VERSON 4.4.2 BOX

1 year ago

Arcstream

10 months ago

Walter Lovelady uyfdb

1 year ago

Walter Lovelady u can update to kodi 17 through a fork from mygics its not on google playstore its on www .ebox entertainment centre no 2 theres loads of videos on u tube the MXQ project have a great video so dont throw your box away its still useful i have kodi 17 on my box mxq 805 android 4.4.2.

1 year ago

yes

1 year ago

thanks for info helped

1 year ago

I have a problem. tried to download kodi 16 jarvis but wifi cropped out during load and now can't get into playstore and kodi not compatible with my version . anyone with a fix

1 year ago

how to
update androide 4.4.2 to 5.0

1 year ago

4.4.2 will not change to 5.0.. please help

1 year ago

Can the system be updated or it's just time for a new box?

1 year ago

Your video is the answer I was looking for, cause I kept trying and it wouldn't update, even the google play says this device is not compatible.
Cause my box is the same version you are using.
Exactly the very same thing this video shows .
You are a blessing to me, cause I began to cry 😭 and sweat and sin my soul just because it wasn't updating, now I know why . 😘😘thank you. Phew ...now to purchase a new box

1 year ago

Oh shoot. I dumped it and bought another the next day. Couldn't wait your reply

1 year ago

Thanks for video my box is too old update to the new kodi 17?

1 year ago